# template: default
%global gem_name fog-proxmox

Name: rubygem-%{gem_name}
Version: 0.15.0
Release: 1%{?dist}
Summary: Module for the 'Fog' gem to support Proxmox VE
License: GPLv3
URL: https://github.com/fog/fog-proxmox
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.5
BuildRequires: ruby >= 2.5
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
This library can be used as a module for `fog`.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%files
%dir %{gem_instdir}
%exclude %{_bindir}/console
%exclude %{_bindir}/setup
%exclude %{gem_instdir}/.bundle
%exclude %{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.ruby-gemset
%exclude %{gem_instdir}/.solargraph.yml
%exclude %{gem_instdir}/.vscode
%license %{gem_instdir}/LICENSE
%exclude %{gem_instdir}/bin/setup
%exclude %{gem_instdir}/bin/console
%{gem_libdir}
%exclude %{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%exclude %{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%exclude %{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%doc %{gem_instdir}/examples
%exclude %{gem_instdir}/fog-proxmox.gemspec
%{gem_instdir}/spec

%changelog
* Wed Feb 22 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 0.15.0-1
- Update to 0.15.0

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.14.0-2
- Rebuild for Ruby 2.7

* Tue Feb 23 2021 Tristan Robert <tristan.robert.44@gmail.com> 0.14.0-1
- Update to 0.14.0

* Wed Jul 22 2020 Tristan Robert <tristan.robert.44@gmail.com> 0.13.0-1
- Update to 0.13.0

* Thu May 14 2020 Tristan Robert <tristan.robert.44@gmail.com> 0.12.0-1
- Update to 0.12.0

* Wed Feb 12 2020 Tristan Robert <tristan.robert.44@gmail.com> 0.11.1-1
- Update to 0.11.1

* Thu Jan 30 2020 Tristan Robert <tristan.robert.44@gmail.com> 0.10.0-1
- Update to 0.10.0

* Tue Nov 26 2019 Tristan Robert <tristan.robert.44@gmail.com> 0.9.0-1
- Update to 0.9.0

* Fri Nov 08 2019 Tristan Robert <tristan.robert.44@gmail.com> 0.8.3-1
- Update to 0.8.3

* Mon May 13 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 0.8.0-1
- Update to 0.8.0

* Thu Jan 03 2019 Tristan Robert <tristan.robert.44@gmail.com> 0.5.5-1
- Update to 0.5.5

* Wed Nov 14 2018 Tristan Robert <tristan.robert.44@gmail.com> 0.5.3-1
- Update to 0.5.3

* Fri Oct 05 2018 Tristan Robert <tristan.robert.44@gmail.com> 0.5.2-1
- Update to 0.5.2

* Thu Sep 13 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 0.5.1-1
- Add rubygem-fog-proxmox generated by gem2rpm using the scl template

